Bug 6501 - Xinerama + Composite + too many visuals = segfault
Xinerama + Composite + too many visuals = segfault
Status: RESOLVED FIXED
Product: xorg
Classification: Unclassified
Component: Server/General
7.0.0
x86 (IA32) Linux (All)
: high normal
Assigned To: Xorg Project Team
Xorg Project Team
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-05 11:06 UTC by Aaron Plattner
Modified: 2008-05-14 15:57 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aaron Plattner 2006-04-05 11:06:46 UTC
I don't know if Xinerama plus Composite is supposed to work, but I'm seeing a
crash with the nvidia driver:
1. The nvidia driver adds a bunch of visuals to both screens, for various GLX
configurations.
2. Some more XIDs are allocated, probably by PanoramiX.
3. Composite adds its visual, which gets XID 775 on my system.
4. Server crashes in PanoramiXConsolidate:

(gdb) bt
#0  0x000000000054b3b8 in PanoramiXConsolidate () at panoramiX.c:816
#1  0x00000000004325d5 in main (argc=1, argv=0x7ffffff0bf08,
envp=0x7ffffff0bf18) at main.c:428
(gdb) frame
#0  0x000000000054b3b8 in PanoramiXConsolidate () at panoramiX.c:816
816             PanoramiXVisualTable[pVisual->vid * MAXSCREENS] = pVisual->vid;

That table can't handle visual IDs over 255.
Comment 1 ajax at nwnk dot net 2006-04-07 02:04:53 UTC
currently xinerama and composite are known to be broken in combination.
Comment 2 Gilboa Davara 2007-02-07 08:27:24 UTC
I'm not sure my report is related, but in my case, neither X.org nor xcompmgr segfault.
Instead, only the Windows backdrop are visible and xcompmgr sends the
following errors into the console:
error 9 request 156 minor 4 serial 5598
error 9 request 156 minor 4 serial 5605
error 9 request 156 minor 4 serial 5612
error 9 request 156 minor 4 serial 5619
error 9 request 156 minor 4 serial 5626
error 9 request 156 minor 4 serial 5633
error 9 request 156 minor 4 serial 5640

- Gilboa
Comment 3 Daniel Stone 2007-02-27 01:31:24 UTC
Sorry about the phenomenal bug spam, guys.  Adding xorg-team@ to the QA contact so bugs don't get lost in future.
Comment 4 Stefan Heinrichsen 2007-11-14 00:20:31 UTC
(In reply to comment #1)
> currently xinerama and composite are known to be broken in combination.
> 

Couldn't find any open bug related to Xinerama + compositing. Could you point it to me?
Comment 5 Aaron Plattner 2008-05-14 15:57:29 UTC
PanoramiXVisualTable is gone with commit ee21aba6be0078949204e315ddfffd99de60c2f1, and this segfault with it.  Marking fixed.